--- rtp.c	Sun Jan 25 23:11:16 2004
+++ rtp.c.new	Sun Jan 11 21:25:04 2004
@@ -414,10 +414,17 @@
 	    /* Comfort Noise */
 	    f = process_rfc3389(rtp, rtp->rawdata + AST_FRIENDLY_OFFSET + hdrlen, res - hdrlen);
 	    if (f) return f; else return &null_frame;
+            /* OP400 payloadtype 100 */
+          } else if (payloadtype == 100) {
+            /* Comfort Noise */
+            f = process_rfc2833(rtp, rtp->rawdata + AST_FRIENDLY_OFFSET + hdrlen, res - hdrlen);
+            if (f) return f; else return &null_frame;
+            /* end OP400 */
 	  } else {
 	    ast_log(LOG_NOTICE, "Unknown RTP codec %d received\n", payloadtype);
 	    return &null_frame;
 	  }
+
 	}
 	rtp->f.subclass = rtpPT.code;
 	if (rtp->f.subclass < AST_FORMAT_MAX_AUDIO)
